Subject: [Pce] [Editorial Errata Reported] RFC8231 (6012)

From: RFC Errata System <[email-masked]>
Date: Mon, 9 Mar 2020 19:39:47 -0700 (PDT)

The following errata report has been submitted for RFC8231,
"Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6012

--------------------------------------
Type: Editorial
Reported by: Dhruv Dhody <[email-masked]>

Section: 5.8.3

Original Text
-------------
   If the PCC receives a PCUpd message for an LSP object
   identified with a PLSP-ID that does not exist on the PCC, it MUST
   generate a PCErr with Error-type=19 (Invalid Operation), error-value
   3, (Attempted LSP Update Request for an LSP identified by an unknown
   PSP-ID) (see Section 8.5).

Corrected Text
--------------
   If the PCC receives a PCUpd message for an LSP object
   identified with a PLSP-ID that does not exist on the PCC, it MUST
   generate a PCErr with Error-type=19 (Invalid Operation), error-value
   3, (Attempted LSP Update Request for an LSP identified by an unknown
   PLSP-ID) (see Section 8.5).

Notes
-----
s/PSP-ID/PLSP-ID/ 

Thanks to Rebecca Vanrheenen from RFC Editor team for spotting this while editing another I-D.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8231 (draft-ietf-pce-stateful-pce-21)
--------------------------------------
Title               : Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE
Publication Date    : September 2017
Author(s)           : E. Crabbe, I. Minei, J. Medved, R. Varga
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG